# This file sets the values of variables defined in
# the `../shared/variables.conf`.

RELEASE_NAME = 'Circle Linux'
RELEASE_SHORT = 'Circle'
RELEASE_VERSION_X = '9'
RELEASE_VERSION_Y = '7'
RELEASE_VERSION_XY = "%s.%s" % (RELEASE_VERSION_X, RELEASE_VERSION_Y)
RELEASE_VERSION = RELEASE_VERSION_XY
global RELEASE_COMPOSE_DATE
RELEASE_COMPOSE_DATE = '!RELEASE_FROM_DATE_RESPIN'

PKGSET_KOJI_TAG = 'dist-circle9-compose'
PKGSET_KOJI_MODULE_TAG = 'dist-circle9-module-compose'

RUNROOT_CHANNEL = 'runroot'
RUNROOT_TAG = 'dist-circle9-build'

COMPS_REPO = 'https://git.cclinux.org/circle/comps.git'
COMPS_BRANCH = 'cc9'
COMPS_FILE = 'comps-circle-linux-%s.xml' % RELEASE_VERSION_X
COMPS_COMMAND = 'make comps-circle-linux-%s.xml' % RELEASE_VERSION_X

MODULE_DEFAULTS_REPO = 'https://git.cclinux.org/circle/circle-module-defaults.git'
MODULE_DEFAULTS_BRANCH = 'cc9'

VARIANTS_SCM = 'git'
VARIANTS_REPO = 'https://git.cclinux.org/circle/pungi-circle.git'
VARIANTS_BRANCH = 'cc9'
VARIANTS_FILE = 'variants.xml'

GATHER_PREPOPULATE_REPO = 'https://git.cclinux.org/circle/pungi-circle.git'
GATHER_PREPOPULATE_BRANCH = 'cc9'
GATHER_PREPOPULATE_FILE = 'prepopulate.json'
GATHER_PREPOPULATE_COMMAND = ''

EXTRA_FILES = [ 
    {
        "scm": "git",
        "repo": "https://git.cclinux.org/circle/rpms/circle-linux-release.git",
        "branch": "cc9",
        "file": [
            "SOURCES/LICENSE",
            "SOURCES/EULA",
        ],
        "target": "",
    }
]

EXTRA_BUILDINSTALL_SKIP = ('^BaseOS$', {
    'i386': True,
})

EXTRA_ISO_ARCHES = ['aarch64', 'ppc64le', 'x86_64']

global CREATEREPO_EXTRA_ARGS
CREATEREPO_EXTRA_ARGS = ['--distro=cpe:/o:circle:circle:9,Circle Linux 9', '--revision=9.7']
